Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore
Class Priority

    java.lang.Object
      ix.util.EnumeratedValue
          ix.icore.Priority

All Implemented Interfaces:
  SemiPrimitive, java.io.Serializable, java.lang.Comparable

    public final class Priority

extends EnumeratedValue
implements java.lang.Comparable

Priority values.

See Also:
  Serialized Form

Field Summary
`static Priority` | `HIGH`
`static Priority` | `HIGHEST`
`static Priority` | `LOW`
`static Priority` | `LOWEST`
`static Priority` | `NORMAL`

Fields inherited from class ix.util.EnumeratedValue
`name`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.awt.Color` | `getColor()`
`java.lang.String` | `toString()`
`static Priority` | `valueOf(java.lang.String name)`
`static java.util.List` | `values()`

Methods inherited from class ix.util.EnumeratedValue
`getValue, getValueElseError, readResolve, recordValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOWEST

    public static final Priority LOWEST

### LOW

    public static final Priority LOW

### NORMAL

    public static final Priority NORMAL

### HIGH

    public static final Priority HIGH

### HIGHEST

    public static final Priority HIGHEST

Method Detail

### getColor

    public java.awt.Color getColor()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### values

    public static java.util.List values()

### valueOf

    public static Priority valueOf(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD